//Pico_ADpwm2 Kennlinie
  
#include "pico/stdlib.h"
#include "hardware/adc.h"
#include "hardware/pwm.h"

void setup() {
  int ad=0;
  int iir=0;
  int pwm=0;
  int n, u, u2, i, i2, j, t;
  Serial.begin(115200);
  adc_init();
  adc_gpio_init(26);
  adc_select_input(0);

  gpio_set_function(0, GPIO_FUNC_PWM);
  pwm_set_wrap(0, 4095);
  pwm_set_gpio_level(0, 0);
  pwm_set_enabled(0, true);
  gpio_pull_up(4);
  gpio_pull_up(8);
  sleep_ms(1000);
  while(true){
    pwm_set_gpio_level(0, 0);
    sleep_ms(1000);
    u2=0;
    t=0;
    iir = 5;
    for (j=0; j<4096; j++){
      pwm_set_gpio_level(0, j);
      sleep_ms(2);
      for (n=0; n<5; n++){
        ad = adc_read();
        iir = (iir*3+ad)/4; 
        sleep_us(500);
        }  
      u=iir*3300/4095;
      if (u>2500) u=2500;
      if (u<2500) i=(j-iir)*3300/4095; 
      if (i<0)i=0;
      u=u/5;
      if (u>u2){ 
        Serial.print(1000);
        Serial.print (" ");
        Serial.println(i);
        t++;
      } 
      if(u>u2) u2=u;
    }
    pwm_set_gpio_level(0, 0);
    for (j=t; j<500; j++){
      Serial.print(1000);
      Serial.print (" ");
      Serial.println(i); 
      sleep_ms(5);
    }
  }
} 

void loop() {}
