//Pico_ADtemp2 Si-Diode
  
#include "pico/stdlib.h"
#include "hardware/adc.h"

void setup() {
  int iir=0;
  int ad, temp; 
  Serial.begin(115200);
  adc_init();
  adc_gpio_init(26);
  gpio_pull_up(26);
  adc_gpio_init(26);
  gpio_pull_up(26);
  adc_select_input(0);
  while(true){
    adc_select_input(0);
    for (int n=0; n<10; n++){
      ad = adc_read()*3300/4095;
      iir = (iir*9+ad)/10;       
    }  
    temp = 23+(476-iir)/2;
    Serial.print (iir);
    Serial.print (" mV  ");
    Serial.print (temp);
    Serial.print (" °C  ");
    Serial.print (analogReadTemp());
    Serial.println (" °C  ");
    sleep_ms(5000);
  }
} 

void loop() {
}
