//Pico_Scope2   
#include "pico/stdlib.h"
#include "hardware/adc.h"
#include "hardware/pwm.h"
#include "pico/multicore.h"

void setup() {
  Serial.begin(115200); 
}

void loop() {
}  
  
void setup1() {
  unsigned int scope[1000]; 
  gpio_set_function(0, GPIO_FUNC_PWM);
  pwm_set_wrap(0, 62499);  //PWM 2 kHz, 50%
  pwm_set_gpio_level(0, 31250);
  pwm_set_enabled(0, true);
  adc_init();
  adc_gpio_init(26);
  adc_select_input(0);  
  while (true) { 
    uint32_t t = time_us_32();
    for (int n = 0; n < 500; n++){
      scope[n]=adc_read();
      t+=5; while (t>time_us_32());  //200 kHz
    }
    for (int n = 0; n < 500; n++){
      Serial.println ((int) scope[n]*3300/4095);
    }
    sleep_ms(1000);
  }
}  


void loop1() {
}
