//Pico_SiebensegementAD
  
#include "pico/stdlib.h"
#include "hardware/adc.h"

void setup() {
  uint32_t ad=0;
  uint32_t iir=0;
  Serial.begin(115200);
  adc_init();
  adc_gpio_init(26);
  //gpio_pull_up(26);
  adc_select_input(0);
  uint32_t mask = 0x003FFC00;
  uint32_t value = 0x003FFC00;  
  uint32_t d[14];
  d[0]= 0b111011110101<<10;
  d[1]= 0b111001110111<<10;
  d[0]= 0b111111110101<<10;
  d[1]= 0b111001000101<<10;
  d[2]= 0b111011110011<<10;
  d[3]= 0b111011010111<<10;
  d[4]= 0b111101000111<<10;
  d[5]= 0b011111010111<<10;
  d[6]= 0b011111110111<<10;
  d[7]= 0b111011000101<<10;
  d[8]= 0b111111110111<<10;
  d[9]= 0b111111010111<<10;
 
  gpio_init_mask (mask);
  gpio_set_dir_masked (mask, value);
  gpio_set_drive_strength(10,GPIO_DRIVE_STRENGTH_12MA);
  gpio_set_drive_strength(11,GPIO_DRIVE_STRENGTH_2MA);
  gpio_set_drive_strength(12,GPIO_DRIVE_STRENGTH_2MA);
  gpio_set_drive_strength(13,GPIO_DRIVE_STRENGTH_2MA);
  gpio_set_drive_strength(14,GPIO_DRIVE_STRENGTH_2MA);
  gpio_set_drive_strength(15,GPIO_DRIVE_STRENGTH_2MA);
  gpio_set_drive_strength(16,GPIO_DRIVE_STRENGTH_12MA);
  gpio_set_drive_strength(17,GPIO_DRIVE_STRENGTH_2MA);
  gpio_set_drive_strength(18,GPIO_DRIVE_STRENGTH_2MA);
  gpio_set_drive_strength(19,GPIO_DRIVE_STRENGTH_12MA);
  gpio_set_drive_strength(20,GPIO_DRIVE_STRENGTH_12MA);
  gpio_set_drive_strength(21,GPIO_DRIVE_STRENGTH_2MA);

  while(true){
    ad = adc_read()*3300/4095;
    iir = (iir*3+ad)/4;    //IIR-Filter
    Serial.println(iir);
    d[14]=d[iir%10];
    int nn= iir/10;
    d[13]=d[nn%10];
    nn= nn/10;
    d[12]=d[nn%10];
    nn= nn/10;
    d[11]=d[nn%10];
    for (int i=0; i<125; i++){
      gpio_put_masked (mask, d[11]);
      gpio_put(13,1);  //DP
      gpio_put(16,0);
      sleep_ms(1);
      gpio_put_masked (mask, d[12]);
      gpio_put(19,0);
      sleep_ms(1);
      gpio_put_masked (mask, d[13]);
      gpio_put(20,0);
      sleep_ms(1);
      gpio_put_masked (mask, d[14]);
      gpio_put(10,0);
      sleep_ms(1); 
    }
  }
} 

void loop() {
}
